# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AR = @AR@
AS = @AS@
ASFLAGS = @ASFLAGS@
CC = @CC@
CXX = @CXX@
CXXCPP = @CXXCPP@
DATADIR = @DATADIR@
DFB_CFLAGS_OMIT_FRAME_POINTER = @DFB_CFLAGS_OMIT_FRAME_POINTER@
DFB_INTERNAL_CFLAGS = @DFB_INTERNAL_CFLAGS@
DFB_LDFLAGS = @DFB_LDFLAGS@
DIRECTFB_BINARY_AGE = @DIRECTFB_BINARY_AGE@
DIRECTFB_CSOURCE = @DIRECTFB_CSOURCE@
DIRECTFB_INTERFACE_AGE = @DIRECTFB_INTERFACE_AGE@
DIRECTFB_MAJOR_VERSION = @DIRECTFB_MAJOR_VERSION@
DIRECTFB_MICRO_VERSION = @DIRECTFB_MICRO_VERSION@
DIRECTFB_MINOR_VERSION = @DIRECTFB_MINOR_VERSION@
DIRECTFB_VERSION = @DIRECTFB_VERSION@
DIRECT_BUILD_DEBUG = @DIRECT_BUILD_DEBUG@
DIRECT_BUILD_DEBUGS = @DIRECT_BUILD_DEBUGS@
DIRECT_BUILD_GETTID = @DIRECT_BUILD_GETTID@
DIRECT_BUILD_TEXT = @DIRECT_BUILD_TEXT@
DIRECT_BUILD_TRACE = @DIRECT_BUILD_TRACE@
DLLTOOL = @DLLTOOL@
DYNLIB = @DYNLIB@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_CONFIG = @FREETYPE_CONFIG@
FREETYPE_LIBS = @FREETYPE_LIBS@
FREETYPE_PROVIDER = @FREETYPE_PROVIDER@
FUSION_BUILD_MULTI = @FUSION_BUILD_MULTI@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GIF_PROVIDER = @GIF_PROVIDER@
HAVE_LIB = @HAVE_LIB@
HAVE_LINUX = @HAVE_LINUX@
INCLUDEDIR = @INCLUDEDIR@
INTERNALINCLUDEDIR = @INTERNALINCLUDEDIR@
JPEG_PROVIDER = @JPEG_PROVIDER@
LIB = @LIB@
LIBJPEG = @LIBJPEG@
LIBPNG = @LIBPNG@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIB = @LTLIB@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MAN2HTML = @MAN2HTML@
MODULEDIR = @MODULEDIR@
MODULEDIRNAME = @MODULEDIRNAME@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OSX_LIBS = @OSX_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PNG_PROVIDER = @PNG_PROVIDER@
RANLIB = @RANLIB@
RC = @RC@
RUNTIME_SYSROOT = @RUNTIME_SYSROOT@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SOPATH = @SOPATH@
STRIP = @STRIP@
SYSFS_LIBS = @SYSFS_LIBS@
THREADFLAGS = @THREADFLAGS@
THREADLIB = @THREADLIB@
VERSION = @VERSION@
VNC_CFLAGS = @VNC_CFLAGS@
VNC_CONFIG = @VNC_CONFIG@
VNC_LIBS = @VNC_LIBS@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
ZLIB_LIBS = @ZLIB_LIBS@

SUBDIRS = classes data devices

INCLUDES =  	-I$(top_srcdir)/include			-I$(top_builddir)/include		-I$(top_builddir)/lib			-I$(top_srcdir)/lib			-I$(top_srcdir)/src			-I$(top_srcdir)/wm			-I$(top_builddir)/wm


bin_PROGRAMS = uwmdump

noinst_PROGRAMS = test_color test_foo stret_test

uwmdump_SOURCES = uwmdump.c

uwmdump_LDADD =  	libuniquewm.la						$(top_builddir)/lib/direct/libdirect.la			$(top_builddir)/lib/fusion/libfusion.la			$(top_builddir)/src/libdirectfb.la


test_color_SOURCES = test_color.c

test_color_LDADD =  	libuniquewm.la						$(top_builddir)/lib/direct/libdirect.la			$(top_builddir)/lib/fusion/libfusion.la			$(top_builddir)/src/libdirectfb.la


test_foo_SOURCES = test_foo.c

test_foo_LDADD =  	libuniquewm.la						$(top_builddir)/lib/direct/libdirect.la			$(top_builddir)/lib/fusion/libfusion.la			$(top_builddir)/src/libdirectfb.la


stret_test_SOURCES = stret_test.c

stret_test_LDADD =  	libuniquewm.la						$(top_builddir)/lib/fusion/libfusion.la			$(top_builddir)/lib/direct/libdirect.la			$(top_builddir)/src/libdirectfb.la


# Set module installation directory
wmdir = $(MODULEDIR)/wm

# Build wm module
wm_LTLIBRARIES = libdirectfbwm_unique.la

@BUILD_STATIC_TRUE@wm_DATA = libdirectfbwm_unique.o

libdirectfbwm_unique_la_SOURCES =  	unique.c


# Link module against uniquewm library
libdirectfbwm_unique_la_LIBADD =  	$(top_builddir)/lib/direct/libdirect.la 	$(top_builddir)/lib/fusion/libfusion.la 	libuniquewm.la


libdirectfbwm_unique_la_LDFLAGS =  	-avoid-version		-module


# Set header installation directory
includedir = @INCLUDEDIR@/unique

# Install uniquewm's library header files
include_HEADERS =  	context.h			decoration.h			device.h			input_channel.h			input_events.h			input_switch.h			stret.h				stret_iteration.h		types.h				uniquewm.h			window.h


# Build uniquewm library
lib_LTLIBRARIES = libuniquewm.la

libuniquewm_la_SOURCES =  	context.c			decoration.c			device.c			input_channel.c			input_switch.c			internal.h			stret.c				stret_iteration.c		uniquewm.c			window.c


libuniquewm_la_LIBADD =  	classes/libunique_classes.la				devices/libunique_devices.la				$(top_builddir)/lib/direct/libdirect.la			$(top_builddir)/lib/fusion/libfusion.la			$(top_builddir)/src/libdirectfb.la


libuniquewm_la_LDFLAGS =  	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE)		-release $(LT_RELEASE)						$(DFB_LDFLAGS)

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES) $(wm_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libuniquewm_la_DEPENDENCIES =  classes/libunique_classes.la \
devices/libunique_devices.la $(top_builddir)/lib/direct/libdirect.la \
$(top_builddir)/lib/fusion/libfusion.la \
$(top_builddir)/src/libdirectfb.la
libuniquewm_la_OBJECTS =  context.lo decoration.lo device.lo \
input_channel.lo input_switch.lo stret.lo stret_iteration.lo \
uniquewm.lo window.lo
libdirectfbwm_unique_la_DEPENDENCIES =  \
$(top_builddir)/lib/direct/libdirect.la \
$(top_builddir)/lib/fusion/libfusion.la libuniquewm.la
libdirectfbwm_unique_la_OBJECTS =  unique.lo
bin_PROGRAMS =  uwmdump$(EXEEXT)
noinst_PROGRAMS =  test_color$(EXEEXT) test_foo$(EXEEXT) \
stret_test$(EXEEXT)
PROGRAMS =  $(bin_PROGRAMS) $(noinst_PROGRAMS)

uwmdump_OBJECTS =  uwmdump.$(OBJEXT)
uwmdump_DEPENDENCIES =  libuniquewm.la \
$(top_builddir)/lib/direct/libdirect.la \
$(top_builddir)/lib/fusion/libfusion.la \
$(top_builddir)/src/libdirectfb.la
uwmdump_LDFLAGS = 
test_color_OBJECTS =  test_color.$(OBJEXT)
test_color_DEPENDENCIES =  libuniquewm.la \
$(top_builddir)/lib/direct/libdirect.la \
$(top_builddir)/lib/fusion/libfusion.la \
$(top_builddir)/src/libdirectfb.la
test_color_LDFLAGS = 
test_foo_OBJECTS =  test_foo.$(OBJEXT)
test_foo_DEPENDENCIES =  libuniquewm.la \
$(top_builddir)/lib/direct/libdirect.la \
$(top_builddir)/lib/fusion/libfusion.la \
$(top_builddir)/src/libdirectfb.la
test_foo_LDFLAGS = 
stret_test_OBJECTS =  stret_test.$(OBJEXT)
stret_test_DEPENDENCIES =  libuniquewm.la \
$(top_builddir)/lib/fusion/libfusion.la \
$(top_builddir)/lib/direct/libdirect.la \
$(top_builddir)/src/libdirectfb.la
stret_test_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DATA =  $(wm_DATA)

HEADERS =  $(include_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libuniquewm_la_SOURCES) $(libdirectfbwm_unique_la_SOURCES) $(uwmdump_SOURCES) $(test_color_SOURCES) $(test_foo_SOURCES) $(stret_test_SOURCES)
OBJECTS = $(libuniquewm_la_OBJECTS) $(libdirectfbwm_unique_la_OBJECTS) $(uwmdump_OBJECTS) $(test_color_OBJECTS) $(test_foo_OBJECTS) $(stret_test_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/rules/libobject.make
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps wm/unique/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

mostlyclean-wmLTLIBRARIES:

clean-wmLTLIBRARIES:
	-test -z "$(wm_LTLIBRARIES)" || rm -f $(wm_LTLIBRARIES)

distclean-wmLTLIBRARIES:

maintainer-clean-wmLTLIBRARIES:

install-wmLTLIBRARIES: $(wm_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(wmdir)
	@list='$(wm_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(wmdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(wmdir)/$$p; \
	  else :; fi; \
	done

uninstall-wmLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(wm_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(wmdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libuniquewm.la: $(libuniquewm_la_OBJECTS) $(libuniquewm_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libuniquewm_la_LDFLAGS) $(libuniquewm_la_OBJECTS) $(libuniquewm_la_LIBADD) $(LIBS)

libdirectfbwm_unique.la: $(libdirectfbwm_unique_la_OBJECTS) $(libdirectfbwm_unique_la_DEPENDENCIES)
	$(LINK) -rpath $(wmdir) $(libdirectfbwm_unique_la_LDFLAGS) $(libdirectfbwm_unique_la_OBJECTS) $(libdirectfbwm_unique_la_LIBADD) $(LIBS)

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

uwmdump$(EXEEXT): $(uwmdump_OBJECTS) $(uwmdump_DEPENDENCIES)
	@rm -f uwmdump$(EXEEXT)
	$(LINK) $(uwmdump_LDFLAGS) $(uwmdump_OBJECTS) $(uwmdump_LDADD) $(LIBS)

test_color$(EXEEXT): $(test_color_OBJECTS) $(test_color_DEPENDENCIES)
	@rm -f test_color$(EXEEXT)
	$(LINK) $(test_color_LDFLAGS) $(test_color_OBJECTS) $(test_color_LDADD) $(LIBS)

test_foo$(EXEEXT): $(test_foo_OBJECTS) $(test_foo_DEPENDENCIES)
	@rm -f test_foo$(EXEEXT)
	$(LINK) $(test_foo_LDFLAGS) $(test_foo_OBJECTS) $(test_foo_LDADD) $(LIBS)

stret_test$(EXEEXT): $(stret_test_OBJECTS) $(stret_test_DEPENDENCIES)
	@rm -f stret_test$(EXEEXT)
	$(LINK) $(stret_test_LDFLAGS) $(stret_test_OBJECTS) $(stret_test_LDADD) $(LIBS)

install-wmDATA: $(wm_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(wmdir)
	@list='$(wm_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(wmdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(wmdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(wmdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(wmdir)/$$p; \
	  fi; fi; \
	done

uninstall-wmDATA:
	@$(NORMAL_UNINSTALL)
	list='$(wm_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(wmdir)/$$p; \
	done

install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(include_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(includedir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" != "." || dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = wm/unique

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
context.lo context.o : context.c ../../config.h ../../include/directfb.h \
	../../include/dfb_types.h ../../include/directfb_keyboard.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/fusion/object.h ../../lib/fusion/types.h \
	../../lib/fusion/build.h ../../lib/fusion/lock.h \
	../../lib/direct/list.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../lib/fusion/shmalloc.h ../../lib/fusion/shm/pool.h \
	../../src/core/coretypes.h ../../src/core/input.h \
	../../lib/direct/modules.h ../../src/core/layer_context.h \
	../../src/core/layer_region.h ../../src/core/layers.h \
	../../src/core/layers_internal.h ../../src/core/coredefs.h \
	../../lib/fusion/property.h ../../lib/fusion/vector.h \
	../../src/core/state.h ../../lib/direct/serial.h \
	../../src/core/gfxcard.h ../../src/gfx/generic/generic.h \
	../../src/misc/util.h ../../include/directfb_util.h \
	../../src/core/surfaces.h ../../src/core/windowstack.h \
	../../src/core/windows_internal.h ../../src/core/windows.h \
	../../src/misc/conf.h context.h ../../src/core/wm.h types.h \
	device.h input_channel.h input_events.h input_switch.h \
	internal.h decoration.h stret.h window.h
decoration.lo decoration.o : decoration.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/fusion/object.h \
	../../lib/fusion/types.h ../../lib/fusion/build.h \
	../../lib/fusion/lock.h ../../lib/direct/list.h \
	../../lib/fusion/ref.h ../../lib/fusion/call.h \
	../../lib/fusion/reactor.h ../../src/core/coretypes.h \
	../../src/core/layers_internal.h ../../src/core/coredefs.h \
	../../lib/fusion/property.h ../../lib/fusion/vector.h \
	../../src/core/layers.h ../../src/core/layer_region.h \
	../../src/core/state.h ../../lib/direct/serial.h \
	../../src/core/gfxcard.h ../../lib/direct/modules.h \
	../../src/gfx/generic/generic.h ../../src/misc/util.h \
	../../include/directfb_util.h ../../src/core/windows_internal.h \
	../../src/core/windows.h decoration.h types.h internal.h \
	context.h ../../src/core/wm.h device.h input_events.h stret.h \
	window.h
device.lo device.o : device.c ../../config.h ../../include/directfb.h \
	../../include/dfb_types.h ../../include/directfb_keyboard.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/fusion/shmalloc.h ../../lib/fusion/build.h \
	../../lib/fusion/types.h ../../lib/fusion/shm/pool.h \
	../../lib/fusion/vector.h ../../src/core/core.h \
	../../lib/fusion/lock.h ../../lib/fusion/object.h \
	../../lib/direct/list.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../src/core/coretypes.h ../../src/core/coredefs.h \
	../../src/core/input.h ../../lib/direct/modules.h \
	../../src/core/coretypes.h ../../src/core/layers_internal.h \
	../../src/core/coredefs.h ../../lib/fusion/property.h \
	../../src/core/layers.h ../../src/core/layer_region.h \
	../../src/core/state.h ../../lib/direct/serial.h \
	../../src/core/gfxcard.h ../../src/gfx/generic/generic.h \
	../../src/misc/util.h ../../include/directfb_util.h \
	../../src/core/windows_internal.h ../../src/core/windows.h \
	device.h types.h internal.h context.h ../../src/core/wm.h \
	decoration.h input_events.h stret.h window.h
input_channel.lo input_channel.o : input_channel.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/fusion/shmalloc.h \
	../../lib/fusion/build.h ../../lib/fusion/types.h \
	../../lib/fusion/shm/pool.h ../../lib/fusion/vector.h \
	../../src/core/core.h ../../lib/fusion/lock.h \
	../../lib/fusion/object.h ../../lib/direct/list.h \
	../../lib/fusion/ref.h ../../lib/fusion/call.h \
	../../lib/fusion/reactor.h ../../src/core/coretypes.h \
	../../src/core/coredefs.h ../../src/core/layers_internal.h \
	../../src/core/coredefs.h ../../src/core/coretypes.h \
	../../lib/fusion/property.h ../../src/core/layers.h \
	../../src/core/layer_region.h ../../src/core/state.h \
	../../lib/direct/serial.h ../../src/core/gfxcard.h \
	../../lib/direct/modules.h ../../src/gfx/generic/generic.h \
	../../src/misc/util.h ../../include/directfb_util.h \
	../../src/core/windows_internal.h ../../src/core/windows.h \
	device.h types.h internal.h context.h ../../src/core/wm.h \
	decoration.h input_events.h stret.h window.h
input_switch.lo input_switch.o : input_switch.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/fusion/shmalloc.h \
	../../lib/fusion/build.h ../../lib/fusion/types.h \
	../../lib/fusion/shm/pool.h ../../lib/fusion/vector.h \
	../../src/core/input.h ../../lib/direct/modules.h \
	../../lib/direct/list.h ../../lib/fusion/reactor.h \
	../../lib/fusion/lock.h ../../src/core/coretypes.h \
	../../src/core/windowstack.h ../../src/core/coredefs.h \
	../../src/misc/util.h ../../include/directfb_util.h device.h \
	types.h input_channel.h input_events.h input_switch.h \
	internal.h ../../lib/fusion/object.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../src/core/windows.h context.h \
	../../src/core/wm.h decoration.h stret.h window.h
stret.lo stret.o : stret.c ../../config.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/fusion/shmalloc.h ../../lib/fusion/build.h \
	../../lib/fusion/types.h ../../lib/fusion/shm/pool.h \
	../../lib/fusion/vector.h ../../src/misc/util.h \
	../../include/directfb_util.h stret.h types.h stret_iteration.h \
	internal.h ../../lib/direct/list.h ../../lib/fusion/object.h \
	../../lib/fusion/lock.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../src/core/coretypes.h ../../src/core/windows.h \
	../../src/core/coredefs.h context.h ../../src/core/wm.h \
	../../lib/direct/modules.h decoration.h device.h input_events.h \
	window.h
stret_iteration.lo stret_iteration.o : stret_iteration.c ../../config.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../src/misc/util.h \
	../../include/directfb_util.h stret_iteration.h types.h \
	internal.h ../../lib/direct/list.h ../../lib/fusion/object.h \
	../../lib/fusion/types.h ../../lib/fusion/build.h \
	../../lib/fusion/lock.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../lib/fusion/vector.h ../../src/core/coretypes.h \
	../../src/core/windows.h ../../src/core/coredefs.h context.h \
	../../src/core/wm.h ../../lib/direct/modules.h decoration.h \
	device.h input_events.h stret.h window.h
stret_test.o: stret_test.c ../../config.h ../../lib/fusion/fusion.h \
	../../lib/fusion/types.h ../../lib/fusion/build.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	../../lib/fusion/shm/pool.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../src/misc/util.h ../../include/directfb_util.h stret.h \
	types.h stret_iteration.h internal.h ../../lib/direct/list.h \
	../../lib/fusion/object.h ../../lib/fusion/lock.h \
	../../lib/fusion/ref.h ../../lib/fusion/call.h \
	../../lib/fusion/reactor.h ../../lib/fusion/vector.h \
	../../src/core/coretypes.h ../../src/core/windows.h \
	../../src/core/coredefs.h context.h ../../src/core/wm.h \
	../../lib/direct/modules.h decoration.h device.h input_events.h \
	window.h
test_color.o: test_color.c ../../config.h ../../include/directfb.h \
	../../include/dfb_types.h ../../include/directfb_keyboard.h \
	context.h ../../lib/fusion/object.h ../../lib/fusion/types.h \
	../../lib/fusion/build.h ../../lib/direct/types.h \
	../../lib/fusion/lock.h ../../lib/direct/messages.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/list.h ../../lib/direct/debug.h \
	../../lib/direct/log.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../src/core/wm.h ../../lib/direct/modules.h \
	../../src/core/coretypes.h ../../src/core/windows.h \
	../../src/core/coredefs.h types.h uniquewm.h
test_foo.o: test_foo.c ../../config.h ../../include/directfb.h \
	../../include/dfb_types.h ../../include/directfb_keyboard.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h context.h \
	../../lib/fusion/object.h ../../lib/fusion/types.h \
	../../lib/fusion/build.h ../../lib/fusion/lock.h \
	../../lib/direct/list.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../src/core/wm.h ../../lib/direct/modules.h \
	../../src/core/coretypes.h ../../src/core/windows.h \
	../../src/core/coredefs.h types.h input_channel.h \
	input_events.h device.h internal.h ../../lib/fusion/vector.h \
	decoration.h stret.h window.h uniquewm.h
unique.lo unique.o : unique.c ../../config.h ../../include/directfb.h \
	../../include/dfb_types.h ../../include/directfb_keyboard.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/mem.h ../../lib/direct/memcpy.h \
	../../lib/direct/trace.h ../../lib/fusion/reactor.h \
	../../lib/direct/list.h ../../lib/fusion/types.h \
	../../lib/fusion/build.h ../../lib/fusion/lock.h \
	../../lib/fusion/shmalloc.h ../../lib/fusion/shm/pool.h \
	../../lib/fusion/vector.h ../../src/core/core.h \
	../../lib/fusion/object.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../src/core/coretypes.h \
	../../src/core/coredefs.h ../../src/core/coredefs.h \
	../../src/core/coretypes.h ../../src/core/gfxcard.h \
	../../lib/direct/modules.h ../../src/core/layer_context.h \
	../../src/core/layer_region.h ../../src/core/layers.h \
	../../src/core/layers_internal.h ../../lib/fusion/property.h \
	../../src/core/state.h ../../lib/direct/serial.h \
	../../src/gfx/generic/generic.h ../../src/misc/util.h \
	../../include/directfb_util.h ../../src/core/surfaces.h \
	../../src/core/palette.h ../../src/core/windows.h \
	../../src/core/windows_internal.h ../../src/core/windowstack.h \
	../../src/core/wm.h ../../src/misc/conf.h \
	../../src/core/wm_module.h context.h types.h stret.h internal.h \
	decoration.h device.h input_events.h window.h
uniquewm.lo uniquewm.o : uniquewm.c ../../config.h \
	../../include/directfb.h ../../include/dfb_types.h \
	../../include/directfb_keyboard.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/direct/memcpy.h \
	../../src/core/input.h ../../lib/direct/modules.h \
	../../lib/direct/list.h ../../lib/fusion/reactor.h \
	../../lib/fusion/types.h ../../lib/fusion/build.h \
	../../lib/fusion/lock.h ../../src/core/coretypes.h \
	../../src/core/surfaces.h ../../lib/direct/serial.h \
	../../lib/fusion/object.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../src/core/coredefs.h \
	../../src/core/gfxcard.h context.h ../../src/core/wm.h \
	../../src/core/windows.h types.h decoration.h internal.h \
	../../lib/fusion/vector.h device.h input_events.h stret.h \
	window.h uniquewm.h data/foo.h
uwmdump.o: uwmdump.c ../../config.h ../../include/directfb.h \
	../../include/dfb_types.h ../../include/directfb_keyboard.h \
	../../lib/direct/util.h ../../lib/direct/types.h \
	../../lib/direct/messages.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/fusion/build.h \
	../../lib/fusion/vector.h ../../lib/fusion/types.h \
	../../lib/direct/debug.h ../../lib/direct/log.h \
	../../lib/direct/system.h ../../src/core/core.h \
	../../lib/fusion/lock.h ../../lib/fusion/object.h \
	../../lib/direct/list.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../src/core/coretypes.h ../../src/core/coredefs.h \
	../../src/core/windowstack.h ../../src/core/coredefs.h \
	../../src/core/coretypes.h context.h ../../src/core/wm.h \
	../../lib/direct/modules.h ../../src/core/windows.h types.h \
	internal.h decoration.h device.h input_events.h stret.h \
	window.h uniquewm.h
window.lo window.o : window.c ../../config.h ../../include/directfb.h \
	../../include/dfb_types.h ../../include/directfb_keyboard.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/fusion/object.h ../../lib/fusion/types.h \
	../../lib/fusion/build.h ../../lib/fusion/lock.h \
	../../lib/direct/list.h ../../lib/fusion/ref.h \
	../../lib/fusion/call.h ../../lib/fusion/reactor.h \
	../../lib/fusion/shmalloc.h ../../lib/fusion/shm/pool.h \
	../../src/core/coretypes.h ../../src/core/layers_internal.h \
	../../src/core/coredefs.h ../../lib/fusion/property.h \
	../../lib/fusion/vector.h ../../src/core/layers.h \
	../../src/core/layer_region.h ../../src/core/state.h \
	../../lib/direct/serial.h ../../src/core/gfxcard.h \
	../../lib/direct/modules.h ../../src/gfx/generic/generic.h \
	../../src/misc/util.h ../../include/directfb_util.h \
	../../src/core/surfaces.h ../../src/core/windows.h \
	../../src/core/windows_internal.h ../../src/core/windowstack.h \
	../../src/misc/conf.h context.h ../../src/core/wm.h types.h \
	input_channel.h input_events.h device.h input_switch.h \
	internal.h decoration.h stret.h window.h

info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am: install-libLTLIBRARIES install-binPROGRAMS
install-exec: install-exec-recursive

install-data-am: install-wmLTLIBRARIES install-wmDATA \
		install-includeHEADERS
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
uninstall-am: uninstall-libLTLIBRARIES uninstall-wmLTLIBRARIES \
		uninstall-binPROGRAMS uninstall-wmDATA \
		uninstall-includeHEADERS
uninstall: uninstall-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) $(HEADERS) all-local
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(wmdir) \
		$(DESTDIR)$(bindir) $(DESTDIR)$(wmdir) \
		$(DESTDIR)$(includedir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-wmLTLIBRARIES \
		mostlyclean-compile mostlyclean-libtool \
		mostlyclean-binPROGRAMS mostlyclean-noinstPROGRAMS \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-recursive

clean-am:  clean-libLTLIBRARIES clean-wmLTLIBRARIES clean-compile \
		clean-libtool clean-binPROGRAMS clean-noinstPROGRAMS \
		clean-tags clean-generic mostlyclean-am clean-local

clean: clean-recursive

distclean-am:  distclean-libLTLIBRARIES distclean-wmLTLIBRARIES \
		distclean-compile distclean-libtool \
		distclean-binPROGRAMS distclean-noinstPROGRAMS \
		distclean-tags distclean-generic clean-am
	-rm -f libtool

distclean: distclean-recursive

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-wmLTLIBRARIES maintainer-clean-compile \
		maintainer-clean-libtool maintainer-clean-binPROGRAMS \
		maintainer-clean-noinstPROGRAMS maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-recursive

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES \
mostlyclean-wmLTLIBRARIES distclean-wmLTLIBRARIES clean-wmLTLIBRARIES \
maintainer-clean-wmLTLIBRARIES uninstall-wmLTLIBRARIES \
install-wmLTLIBRARIES mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile mostlyclean-libtool \
distclean-libtool clean-libtool maintainer-clean-libtool \
mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS uninstall-wmDATA \
install-wmDATA uninstall-includeHEADERS install-includeHEADERS \
install-data-recursive uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-local all-redirect all-am all installdirs-am \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


%.o: .libs/%.a %.la
	rm -f $<.tmp/*.o
	if test -d $<.tmp; then rmdir $<.tmp; fi
	mkdir $<.tmp
	(cd $<.tmp && $(AR) x ../../$<)
	$(LD) -o $@ -r $<.tmp/*.o
	rm -f $<.tmp/*.o && rmdir $<.tmp

.PHONY: $(LTLIBRARIES:%.la=.libs/%.a)

#
#

@BUILD_STATIC_TRUE@clean-local:
@BUILD_STATIC_TRUE@	rm -f libuniquewm_fixed.a

@BUILD_STATIC_TRUE@all-local: libuniquewm_fixed.a

@BUILD_STATIC_TRUE@libuniquewm_fixed.a: .libs/libuniquewm.a
@BUILD_STATIC_TRUE@	rm -f libuniquewm_fixed.a
@BUILD_STATIC_TRUE@	${AR} cru libuniquewm_fixed.a `find . -name "*.o" | grep -v '.libs'`
@BUILD_STATIC_TRUE@	${RANLIB} libuniquewm_fixed.a
@BUILD_STATIC_TRUE@	cp -pf libuniquewm_fixed.a .libs/libuniquewm.a

@BUILD_STATIC_TRUE@.libs/libuniquewm.a: libuniquewm.la

@BUILD_STATIC_FALSE@clean-local:

@BUILD_STATIC_FALSE@all-local:

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
